Package javax.help

# Class AbstractHelpAction

java.lang.Object
javax.help.AbstractHelpAction

All Implemented Interfaces:
  `HelpAction`

Direct Known Subclasses:
  `BackAction`, `FavoritesAction`, `ForwardAction`, `HomeAction`, `PrintAction`, `PrintSetupAction`, `ReloadAction`, `SeparatorAction`

public abstract class AbstractHelpAction extends Object implements HelpAction

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(PropertyChangeListener l)`
Add a PropertyChangeListener to the listener list.
`protected void`
`firePropertyChange(String propertyName, Object oldValue, Object newValue)`
Supports reporting bound property changes.
`Object`
`getControl()`
Getter for property control.
`Object`
`getValue(String key)`
Gets the `Object` associated with the specified key.
`boolean`
`isEnabled()`
Getter for property enabled.
`void`
`putValue(String key, Object newValue)`
Sets the `Value` associated with the specified key.
`void`
`removePropertyChangeListener(PropertyChangeListener l)`
Removes a PropertyChangeListener from the listener list.
`void`
`setEnabled(boolean enabled)`
Setter for property enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### addPropertyChangeListener

public void addPropertyChangeListener(PropertyChangeListener l)
Add a PropertyChangeListener to the listener list.

Specified by:
  `addPropertyChangeListener` in interface `HelpAction`
Parameters:
  `l` - The listener to add.

### removePropertyChangeListener

public void removePropertyChangeListener(PropertyChangeListener l)
Removes a PropertyChangeListener from the listener list.

Specified by:
  `removePropertyChangeListener` in interface `HelpAction`
Parameters:
  `l` - The listener to remove.
See Also:
  - `HelpAction.addPropertyChangeListener(java.beans.PropertyChangeListener)`

### firePropertyChange

protected void firePropertyChange(String propertyName, Object oldValue, Object newValue)
Supports reporting bound property changes. This method can be called when a bound property has changed and it will send the appropriate `PropertyChangeEvent` to any registered `PropertyChangeListeners`.

### isEnabled

public boolean isEnabled()
Getter for property enabled.

Specified by:
  `isEnabled` in interface `HelpAction`
Returns:
  Value of property enabled.

### setEnabled

public void setEnabled(boolean enabled)
Setter for property enabled.

Specified by:
  `setEnabled` in interface `HelpAction`
Parameters:
  `enabled` - New value of property enabled.

### getControl

public Object getControl()
Getter for property control.

Specified by:
  `getControl` in interface `HelpAction`
Returns:
  Value of property control.

### getValue

public Object getValue(String key)
Gets the `Object` associated with the specified key.

Specified by:
  `getValue` in interface `HelpAction`
Parameters:
  `key` - a string containing the specified `key`
Returns:
  the binding `Object` stored with this key; if there are no keys, it will return `null`
See Also:
  - invalid reference

        Action#getValue

### putValue

public void putValue(String key, Object newValue)
Sets the `Value` associated with the specified key.

Specified by:
  `putValue` in interface `HelpAction`
Parameters:
  `key` - the `String` that identifies the stored object
  `newValue` - the `Object` to store using this key
See Also:
  - invalid reference

        Action#putValue